Bug 1125365 - [abrt] sigrok-cli: free_probes(): sigrok-cli killed by SIGABRT
Summary: [abrt] sigrok-cli: free_probes(): sigrok-cli killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sigrok-cli
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alex G.
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:426d4e5ff01e1d7d1ad6ab2cbf6...
: 1125302 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 16:12 UTC by Dan Horák
Modified: 2015-06-29 21:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:52:53 UTC


Attachments (Terms of Use)
File: backtrace (8.21 KB, text/plain)
2014-07-31 16:12 UTC, Dan Horák
no flags Details
File: cgroup (179 bytes, text/plain)
2014-07-31 16:12 UTC, Dan Horák
no flags Details
File: core_backtrace (4.08 KB, text/plain)
2014-07-31 16:12 UTC, Dan Horák
no flags Details
File: dso_list (2.20 KB, text/plain)
2014-07-31 16:12 UTC, Dan Horák
no flags Details
File: environ (3.20 KB, text/plain)
2014-07-31 16:13 UTC, Dan Horák
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-31 16:13 UTC, Dan Horák
no flags Details
File: maps (10.64 KB, text/plain)
2014-07-31 16:13 UTC, Dan Horák
no flags Details
File: open_fds (562 bytes, text/plain)
2014-07-31 16:13 UTC, Dan Horák
no flags Details
File: proc_pid_status (964 bytes, text/plain)
2014-07-31 16:13 UTC, Dan Horák
no flags Details
File: var_log_messages (199 bytes, text/plain)
2014-07-31 16:13 UTC, Dan Horák
no flags Details

Description Dan Horák 2014-07-31 16:12:52 UTC
Version-Release number of selected component:
sigrok-cli-0.4.0-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/sigrok-cli --show --protocol-decoders lm75
crash_function: free_probes
executable:     /usr/bin/sigrok-cli
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (4 frames)
 #6 free_probes at decoder.c:444
 #7 srd_decoder_unload at decoder.c:484
 #8 srd_decoder_unload_all at decoder.c:542
 #9 srd_exit at controller.c:192

Comment 1 Dan Horák 2014-07-31 16:12:55 UTC
Created attachment 922985 [details]
File: backtrace

Comment 2 Dan Horák 2014-07-31 16:12:56 UTC
Created attachment 922986 [details]
File: cgroup

Comment 3 Dan Horák 2014-07-31 16:12:57 UTC
Created attachment 922987 [details]
File: core_backtrace

Comment 4 Dan Horák 2014-07-31 16:12:59 UTC
Created attachment 922988 [details]
File: dso_list

Comment 5 Dan Horák 2014-07-31 16:13:00 UTC
Created attachment 922989 [details]
File: environ

Comment 6 Dan Horák 2014-07-31 16:13:01 UTC
Created attachment 922990 [details]
File: limits

Comment 7 Dan Horák 2014-07-31 16:13:03 UTC
Created attachment 922991 [details]
File: maps

Comment 8 Dan Horák 2014-07-31 16:13:04 UTC
Created attachment 922992 [details]
File: open_fds

Comment 9 Dan Horák 2014-07-31 16:13:05 UTC
Created attachment 922993 [details]
File: proc_pid_status

Comment 10 Dan Horák 2014-07-31 16:13:06 UTC
Created attachment 922994 [details]
File: var_log_messages

Comment 11 Dan Horák 2014-07-31 16:14:58 UTC
*** Bug 1125302 has been marked as a duplicate of this bug. ***

Comment 12 Przemek Klosowski 2014-07-31 17:26:30 UTC
The error happens when freeing p->name in free_probes  (decoder.c:444) which
seems to be a null pointer:

static void free_probes(GSList *probelist)
{
        GSList *l;
        struct srd_probe *p;
    
        if (probelist == NULL)
                return;
    
        for (l = probelist; l; l = l->next) {
                p = l->data;
                g_free(p->id);
                g_free(p->name);
                g_free(p->desc);
                g_free(p);
        }
        g_slist_free(probelist);
}

print p
$1 = (struct srd_probe *) 0x6c3610

print *p
$2 = {id = 0x6c3600 "\200\343o", name = 0x0, desc = 0x6fcd10 "`\315o", order = 0}

Comment 13 Fedora End Of Life 2015-05-29 12:31:48 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:52:53 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.